MONGOC_CLIENT_ENCRYPTION_ENCRYPT_OPTS_SET_QUERY_TYPE(3)

NAME
mongoc_client_encryption_encrypt_opts_set_query_type - mongoc_client_encryption_encrypt_opts_set_query_type()

SYNOPSIS

#define MONGOC_ENCRYPT_QUERY_TYPE_EQUALITY "equality"
MONGOC_EXPORT (void)
 mongoc_client_encryption_encrypt_opts_set_query_type (
     mongoc_client_encryption_encrypt_opts_t *opts, const char* query_type);

IMPORTANT: This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.22.0.

Sets a query type for explicit encryption. Currently, the only supported value for query_type is "equality".

Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "Indexed". It is an error to set the query type when algorithm is not "Indexed".

PARAMETERS

•   opts: A mongoc_client_encryption_encrypt_opts_t

•   query_type: A query type to use for explicit encryption.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc